Bug 19195 - Noisy warns when creating or editing a basket
Summary: Noisy warns when creating or editing a basket
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-29 05:02 UTC by Aleisha Amohia
Modified: 2017-11-23 23:21 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19195: Preventing noisy warns when creating or editing a basket (3.25 KB, patch)
2017-08-29 05:04 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 19195: Preventing noisy warns when creating or editing a basket (3.25 KB, patch)
2017-09-15 20:44 UTC, Dominic Pichette
Details | Diff | Splinter Review
Bug 19195: Do not explicitely force scalar context when unecessary (1.08 KB, patch)
2017-09-19 14:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-08-29 05:02:07 UTC
To reproduce, go to Acquisitions, find or create a vendor.
Create a basket, put information in all fields
Notice warns
Edit the basket
Notice warns
CGI::param called in list context from package CGI::Compile::ROOT::home_vagrant_kohaclone_acqui_basketheader_2epl line 138, this can lead to vulnerabilities. See the warning in "Fetching the value or values of a single named parameter" at /usr/share/perl5/CGI.pm line 436.
Comment 1 Aleisha Amohia 2017-08-29 05:04:39 UTC
Created attachment 66574 [details] [review]
Bug 19195: Preventing noisy warns when creating or editing a basket

To test:
1) Open the koha intranet error log
2) Go to Acquisitions -> Find or create a vendor
3) Create a new basket, filling all fields
4) Notice warns in error log
5) Edit this basket
6) Notice warns in error log
7) Apply patch
8) Create another basket, confirm warns do not show
9) Edit this basket, confirm warns do not show

Sponsored-by: Catalyst IT
Comment 2 Dominic Pichette 2017-09-15 20:44:57 UTC
Created attachment 67166 [details] [review]
Bug 19195: Preventing noisy warns when creating or editing a basket

To test:
1) Open the koha intranet error log
2) Go to Acquisitions -> Find or create a vendor
3) Create a new basket, filling all fields
4) Notice warns in error log
5) Edit this basket
6) Notice warns in error log
7) Apply patch
8) Create another basket, confirm warns do not show
9) Edit this basket, confirm warns do not show

Sponsored-by: Catalyst IT
Comment 3 Dominic Pichette 2017-09-15 20:47:54 UTC
signed-off by : Dominic Pichette
Comment 4 Jonathan Druart 2017-09-19 14:58:30 UTC
Created attachment 67217 [details] [review]
Bug 19195: Do not explicitely force scalar context when unecessary

These ones are already called in scalar context
Comment 5 Jonathan Druart 2017-09-19 14:59:57 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-10-27 09:37:50 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 7 Katrin Fischer 2017-10-29 18:18:46 UTC
These patches have been pushed to 16.11.x and will be in 16.11.14.
Comment 8 Mason James 2017-11-23 23:21:57 UTC
Pushed to 16.05.x, for 16.05.19 release